@extends ('layouts.patient')

@section('inner-content')
    <div class="">
        <div class="d-flex align-items-center pt-2">
            <h6 class="my-0 font-weight-bold text-secondary">Care Months</h6>
            <span class="mx-2 text-secondary">|</span>
            <div moe>
                <a start show class="py-0 mb-3">Add</a>
                <form url="/api/careMonth/create">
                    <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                    <div class="mb-2">
                        <input type="number" min="1" max="12" class="form-control form-control-sm" name="startMonth"
                               value="" placeholder="Start Month">
                    </div>
                    <div class="mb-2">
                        <input type="number" min="2020" max="2100" class="form-control form-control-sm" name="startYear"
                               value="" placeholder="Start Year">
                    </div>
                    <div class="d-flex align-items-center">
                        <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                        <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        </div>
        <table class="table table-striped table-sm table-bordered mt-2 mb-0">
            <thead>
            <tr>
                <th class="px-2 text-secondary border-bottom-0">Start Date</th>
                <th class="px-2 text-secondary border-bottom-0">CM Total Time</th>
                <th class="px-2 text-secondary border-bottom-0">MCP</th>
                <th class="px-2 text-secondary border-bottom-0">Created</th>
                <th class="px-2 text-secondary border-bottom-0 delete-column">&nbsp;</th>
            </tr>
            </thead>
            <tbody>
            @foreach($careMonths as $careMonth)
                <tr>
                    <td class="px-2">
                        <a href="/patients/view/{{ $patient->uid }}/care-months/view/{{ $careMonth->uid }}">{{friendly_date_time($careMonth->start_date, false)}}</a>
                    </td>
                    <td class="px-2">{{$careMonth->cm_total_time_in_seconds}} seconds</td>
                    <td class="px-2">{{$careMonth->mcp ? $careMonth->mcp->name_display : '-'}}</td>
                    <td class="px-2">{{friendly_date_time($careMonth->created_at)}}</td>
                    <td class="px-2 text-center delete-column">
                        <div moe relative>
                            <a start show><i class="fa fa-trash text-danger"></i></a>
                            <form url="/api/careMonth/remove" right>
                                <input type="hidden" name="uid" value="{{ $careMonth->uid }}">
                                <p class="small">Are you sure you want to delete this care-month?</p>
                                <div class="d-flex align-items-center">
                                    <button class="btn btn-sm btn-danger mr-2" submit>Delete</button>
                                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                                </div>
                            </form>
                        </div>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection
